#' srr_stats
#'
#' All of the following standards initially have `@srrstatsTODO` tags.
#' These may be moved at any time to any other locations in your code.
#' Once addressed, please modify the tag from `@srrstatsTODO` to `@srrstats`,
#' or `@srrstatsNA`, ensuring that references to every one of the following
#' standards remain somewhere within your code.
#' (These comments may be deleted at any time.)
#'
#' @srrstatsVerbose TRUE
#' @srrstats {G1.2} life cycle statement on line#74 of file CONTRIBUTING.md
#'
#'@noRd
NULL


#' NA_standards
#'
#' Any non-applicable standards can have their tags changed from `@srrstatsTODO`
#' to `@srrstatsNA`, and placed together in this block, along with explanations
#' for why each of these standards have been deemed not applicable.
#'
#' @srrstatsNA {G1.3} No specific statistical terminology used
#' @srrstatsNA {G1.4a} No internal functions used
#' @srrstatsNA {G1.5} Software has no publication
#' @srrstatsNA {G1.6} No performance claims are made
#' @srrstatsNA {G2.4a} No explicit conversion to `integer` via `as.integer()`
#' @srrstatsNA {G2.4d} No explicit conversion to factor via `as.factor()`
#' @srrstatsNA {G2.4e} No explicit conversion from factor via
#'  `as...()` functions
#' @srrstatsNA {G2.5} No inputs are expected to be of `factor` type, just
#'  numeric
#' @srrstatsNA {G2.7} No tabular data allowed.
#' @srrstatsNA {G2.8} No tabular data allowed.
#' @srrstatsNA {G2.9} No tabular data allowed.
#' @srrstatsNA {G2.10} No tabular data allowed.
#' @srrstatsNA {G2.11} Just vector input allowed
#' @srrstatsNA {G2.12} Just vector input allowed
#' @srrstatsNA {G2.14c} No imputation method used
#' @srrstatsNA {G3.1} No covariance calculations
#' @srrstatsNA {G3.1a} No covariance calculations
#' @srrstatsNA {G4.0} No outputs to be written to local files
#' @srrstatsNA {G5.6} No algorithm implemented
#' @srrstatsNA {G5.6a} No algorithm implemented
#' @srrstatsNA {G5.6b} No algorithm implemented
#' @srrstatsNA {G5.7} No algorithm implemented
#' @srrstatsNA {G5.8d} No regression analysis done
#' @srrstatsNA {G5.9b} Tested with G5.9a
#' @srrstatsNA {G5.10} No extended test(s) are included
#' @srrstatsNA {G5.11} No extended test(s) are included
#' @srrstatsNA {G5.11a} No extended test(s) are included
#' @srrstatsNA {G5.12} No extended test(s) are included
#' @srrstatsNA {EA2.0} No tabular data accepted
#' @srrstatsNA {EA2.1} No index columns used
#' @srrstatsNA {EA2.2} No index columns accepted
#' @srrstatsNA {EA2.2a} No index columns accepted
#' @srrstatsNA {EA2.2b} No index columns accepted
#' @srrstatsNA {EA2.3} No table or table joins allowed
#' @srrstatsNA {EA2.4} No multi-tabular input allowed
#' @srrstatsNA {EA2.5} No multi-tabular input allowed
#' @srrstatsNA {EA3.0} No algorithms implemented
#' @srrstatsNA {EA3.1} No algorithms implemented
#' @srrstatsNA {EA5.0} Most visualization standards are not practicable
#' @srrstatsNA {EA5.0a} see EA5.0
#' @srrstatsNA {EA5.0b} see EA5.0
#' @srrstatsNA {EA5.1} Not used
#' @srrstatsNA {EA5.3} No column based statistics
#' @srrstatsNA {EA5.5} No visualization other than screen-based output
#' @srrstatsNA {EA5.6} No bundling of libraries.
#' @srrstatsNA {EA6.1} No graphical output
#'
#' @noRd
NULL
